"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireWildcard(require("react"));
var _map2 = _interopRequireDefault(require("lodash/map"));
var _uikit = require("@gravity-ui/uikit");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _excluded = ["value", "onChange"],
  _excluded2 = ["options", "size"];
RadioButtonControl.defaultProps = {
  extras: {}
};
RadioButtonControl.getDefaultValue = function () {
  return '';
};
RadioButtonControl.isEmpty = function (value) {
  return typeof value !== 'string' || !value;
};
function RadioButtonControl(_ref) {
  var value = _ref.value,
    onChange = _ref.onChange,
    props = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var onRadioChange = (0, _react.useCallback)(function (evt) {
    return onChange(evt.target.value);
  }, [onChange]);
  var _props$options = props.options,
    options = _props$options === void 0 ? [] : _props$options,
    _props$size = props.size,
    size = _props$size === void 0 ? 'm' : _props$size,
    rest = (0, _objectWithoutProperties2.default)(props, _excluded2);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_uikit.RadioButton, (0, _objectSpread2.default)((0, _objectSpread2.default)({}, rest), {}, {
    size: size,
    value: value,
    onChange: onRadioChange,
    children: (0, _map2.default)(options, function (_ref2) {
      var value = _ref2.value,
        label = _ref2.label;
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_uikit.RadioButton.Option, {
        value: value,
        children: label
      }, value);
    })
  }));
}
var _default = RadioButtonControl; // #sourceMappingURL=RadioButtonControl.js.map
exports.default = _default;
// #sourceMappingURL=RadioButtonControl.js.map