import React from 'react';
import { SelectProps } from '@gravity-ui/uikit';
export declare type SelectControlProps = Omit<SelectProps, 'onUpdate' | 'onChange'> & {
    onChange: (value: SelectControlProps['value']) => void;
};
export declare function SelectControl(props: SelectControlProps): React.JSX.Element;
export declare namespace SelectControl {
    var getDefaultValue: () => undefined;
    var isEmpty: (value: string[] | undefined) => boolean;
}
