import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
import React from 'react';
import { dfCN } from '../../helpers/cn';
import './PlainText.css';
import { jsx as _jsx } from "react/jsx-runtime";
var block = dfCN('plain-text');
var PlainText = /*#__PURE__*/function (_React$Component) {
  _inherits(PlainText, _React$Component);
  var _super = _createSuper(PlainText);
  function PlainText() {
    _classCallCheck(this, PlainText);
    return _super.apply(this, arguments);
  }
  _createClass(PlainText, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
        value = _this$props.value,
        placeholder = _this$props.placeholder,
        className = _this$props.className;
      return /*#__PURE__*/_jsx("div", {
        className: block(null, className),
        children: value || /*#__PURE__*/_jsx("span", {
          className: block('placeholder'),
          children: placeholder
        })
      });
    }
  }], [{
    key: "getDefaultValue",
    value: function getDefaultValue() {
      return '';
    }
  }, {
    key: "isEmpty",
    value: function isEmpty(value) {
      return !value;
    }
  }]);
  return PlainText;
}(React.Component);
export default PlainText;
// #sourceMappingURL=PlainText.js.map