import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["value", "onChange"],
  _excluded2 = ["options", "size"];
import React, { useCallback } from 'react';
import _map from 'lodash/map';
import { RadioButton } from '@gravity-ui/uikit';
import { jsx as _jsx } from "react/jsx-runtime";
RadioButtonControl.defaultProps = {
  extras: {}
};
RadioButtonControl.getDefaultValue = function () {
  return '';
};
RadioButtonControl.isEmpty = function (value) {
  return typeof value !== 'string' || !value;
};
function RadioButtonControl(_ref) {
  var value = _ref.value,
    onChange = _ref.onChange,
    props = _objectWithoutProperties(_ref, _excluded);
  var onRadioChange = useCallback(function (evt) {
    return onChange(evt.target.value);
  }, [onChange]);
  var _props$options = props.options,
    options = _props$options === void 0 ? [] : _props$options,
    _props$size = props.size,
    size = _props$size === void 0 ? 'm' : _props$size,
    rest = _objectWithoutProperties(props, _excluded2);
  return /*#__PURE__*/_jsx(RadioButton, _objectSpread(_objectSpread({}, rest), {}, {
    size: size,
    value: value,
    onChange: onRadioChange,
    children: _map(options, function (_ref2) {
      var value = _ref2.value,
        label = _ref2.label;
      return /*#__PURE__*/_jsx(RadioButton.Option, {
        value: value,
        children: label
      }, value);
    })
  }));
}
export default RadioButtonControl;
// #sourceMappingURL=RadioButtonControl.js.map