import React, { Component } from 'react';
import { TextInputProps } from '@gravity-ui/uikit';
import { ControlProps } from '../types';
export declare type TextControlProps = ControlProps<string> & Omit<TextInputProps, keyof ControlProps<string>>;
declare class TextControl extends Component<TextControlProps> {
    static defaultProps: {
        extras: {};
    };
    static hasErrorRenderer: boolean;
    static getDefaultValue(): string;
    static isEmpty(value: string): boolean;
    render(): React.JSX.Element;
}
export default TextControl;
