import React from 'react';
import { CheckboxProps } from '@gravity-ui/uikit';
import './CheckBoxControl.scss';
export interface CheckBoxControlProps extends Omit<CheckboxProps, 'value' | 'view' | 'checked' | 'onUpdate' | 'onChange'> {
    value: boolean;
    onChange: (value: CheckBoxControlProps['value']) => void;
}
declare function CheckBoxControl({ value, onChange, ...props }: CheckBoxControlProps): React.JSX.Element;
declare namespace CheckBoxControl {
    var getDefaultValue: () => boolean;
    var isEmpty: (value: boolean) => boolean;
}
export default CheckBoxControl;
