import React from 'react';
import { RadioButtonProps } from '@gravity-ui/uikit';
export interface RadioButtonControlProps extends Omit<RadioButtonProps, 'onChange' | 'value'> {
    value: RadioButtonProps['value'];
    onChange: (value: RadioButtonControlProps['value']) => void;
    options?: Array<{
        value: string;
        label: React.ReactNode;
    }>;
}
declare function RadioButtonControl({ value, onChange, ...props }: RadioButtonControlProps): React.JSX.Element;
declare namespace RadioButtonControl {
    var defaultProps: {
        extras: {};
    };
    var getDefaultValue: () => string;
    var isEmpty: (value: string | undefined) => boolean;
}
export default RadioButtonControl;
