import React from 'react';
import { Switch } from '@gravity-ui/uikit';
import { ControlProps } from '../types';
import './TumblerControl.scss';
export declare type TumblerControlProps = ControlProps<boolean> & Omit<React.ComponentProps<typeof Switch>, 'value' | 'checked' | 'onUpdate' | 'onChange'> & {
    labelLeft?: string;
    labelRight?: string;
};
declare function TumblerControl({ value, onChange, ...extras }: TumblerControlProps): React.JSX.Element;
declare namespace TumblerControl {
    var getDefaultValue: () => boolean;
    var isEmpty: (value: boolean) => boolean;
}
export default TumblerControl;
