import { I18N } from '@gravity-ui/i18n';
import { subscribeConfigure } from './configure';
var i18n = new I18N();
subscribeConfigure(function (config) {
  i18n.setLang(config.lang);
});
export function makeKeyset(component, _ref) {
  var ru = _ref.ru,
    en = _ref.en;
  i18n.registerKeyset('ru', component, ru);
  i18n.registerKeyset('en', component, en);
  return i18n.keyset(component);
}
// #sourceMappingURL=i18n.js.map